Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.translator
Class AbstractTranslator<T>

    java.lang.Object
      org.apache.tapestry5.internal.translator.AbstractTranslator<T>

All Implemented Interfaces:
  Translator<T>

Direct Known Subclasses:
  NumericTranslator, StringTranslator

    public abstract class AbstractTranslator<T>

extends java.lang.Object
implements Translator<T>

Constructor Summary
`protected` | `AbstractTranslator(java.lang.String name, java.lang.Class<T> type, java.lang.String messageKey)`

Method Summary
`java.lang.String` | `getMessageKey()` Returns the message key, within the application's global message catalog, normally used by this validator.
`java.lang.String` | `getName()` Returns a unique name for the translator.
`java.lang.Class<T>` | `getType()` Returns the type of the server-side value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tapestry5.Translator
`parseClient, render, toClient`

Constructor Detail

### AbstractTranslator

    protected AbstractTranslator(java.lang.String name,
                                 java.lang.Class<T> type,
                                 java.lang.String messageKey)

Method Detail

### getMessageKey

    public java.lang.String getMessageKey()

  Description copied from interface: `Translator`
  Returns the message key, within the application's global message catalog, normally used by this validator. This is used to provide the formatted message to `Translator.parseClient(Field, String, String)` or `Translator.render(Field, String, MarkupWriter, org.apache.tapestry5.services.FormSupport)`.

  Specified by:
    `getMessageKey` in interface `Translator<T>`
  Returns:
    a message key

### getType

    public java.lang.Class<T> getType()

  Description copied from interface: `Translator`
  Returns the type of the server-side value.

  Specified by:
    `getType` in interface `Translator<T>`
  Returns:
    a type

### getName

    public java.lang.String getName()

  Description copied from interface: `Translator`
  Returns a unique name for the translator. This is used to identify the translator by name, but is also used when locating override messages for the translator.

  Specified by:
    `getName` in interface `Translator<T>`
  Returns:
    unique name for the translator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.